# -*- coding: utf-8 -*-

# Copyright (C) 2014 Avencall
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>

common_globals = {}
execfile_('common.py', common_globals)

MODEL_VERSION = {u'SPA112': u'1.4.1SR5',
                 u'SPA122': u'1.4.1SR5',
                 u'ATA192': u'11-2-1MPP',
                 u'SPA192': u'11-2-1MPP',
                 u'ATA192MPP': u'11-2-1MPP',
                 u'ATA191': u'11-2-1MPP',
                 u'SPA191': u'11-2-1MPP',
                 u'ATA191MPP': u'11-2-1MPP'}


class CiscoPlugin(common_globals['BaseCiscoPlugin']):
    IS_PLUGIN = True
    _COMMON_FILENAMES = ['spa112.cfg',
                         'spa122.cfg',
                         'spa192.cfg',
                         'spa191.cfg',
                         'ata192.cfg',
                         'ata191.cfg']

    pg_associator = common_globals['BaseCiscoPgAssociator'](MODEL_VERSION)
